<!DOCTYPE html>
<html lang="en">
<head>
    
    <meta charset="utf-8">
    <title>opencv - Documentation</title>
    
    
    <script src="scripts/prettify/prettify.js"></script>
    <script src="scripts/prettify/lang-css.js"></script>
    <!--[if lt IE 9]>
      <script src="//html5shiv.googlecode.com/svn/trunk/html5.js"></script>
    <![endif]-->
    <link type="text/css" rel="stylesheet" href="styles/prettify.css">
    <link type="text/css" rel="stylesheet" href="styles/jsdoc.css">
    <script src="scripts/nav.js" defer></script>
    
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
</head>
<body>

<input type="checkbox" id="nav-trigger" class="nav-trigger" />
<label for="nav-trigger" class="navicon-button x">
  <div class="navicon"></div>
</label>

<label for="nav-trigger" class="overlay"></label>

<nav >
    
    <input type="text" id="nav-search" placeholder="Search" />
    
    
    <h2><a href="index.html">Home</a></h2><h3>Objects</h3><ul><li><a href="ScalarFieldEmbedding.html">ScalarFieldEmbedding</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#getParameters">getParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#setParameters">setParameters</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#getScalarField">getScalarField</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#getDistances">getDistances</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.getEmbedding">getEmbedding</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.getAtlas">getAtlas</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.asJSON">asJSON</a></li><li data-type='method' style='display: none;'><a href="ScalarFieldEmbedding.html#.asImage">asImage</a></li></ul></li><li><a href="opencv.html">opencv</a><ul class='members'></ul><ul class='methods'><li data-type='method' style='display: none;'><a href="opencv.html#.randomOrthonormal">randomOrthonormal</a></li><li data-type='method' style='display: none;'><a href="opencv.html#.orthonormalizes">orthonormalizes</a></li><li data-type='method' style='display: none;'><a href="opencv.html#.rank">rank</a></li><li data-type='method' style='display: none;'><a href="opencv.html#.mat2txt">mat2txt</a></li><li data-type='method' style='display: none;'><a href="opencv.html#.putText">putText</a></li></ul></li></ul>
    
</nav>

<div id="main">
    
    <h1 class="page-title">opencv</h1>
    

    




<section>

<header>
    
        <h2>
        
            opencv
        
        </h2>
        
    
</header>

<article>
    
        <div class="container-overview">
        
            

    

    <h4 class="name" id="opencv"><span class="type-signature"></span>factory opencv<span class="type-signature"></span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Specifies the opencv wrapping functions for linear and nonlinear solvers.</p>
<ul>
<li>These functions are accessible via the <code>symboling::</code> prefix.</li>
<li>The basic object is a <code>Matrix</code> (including 1D vectors and co-vectors) of double 2D arrays, e.g.:</li>
</ul>
<pre class="prettyprint source"><code>cv::Mat mat = cv::Mat(rows, cols, CV_64FC1, cv::Scalar(0));
// Element access writes:
double v = mat.at&lt;double>(row_num, col_num)
// Submatrix extraction writes:
cv:Mat submat = mat(cv:Rect(col_num, row_num, col_count, row_count));
</code></pre></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>






























        
        </div>
    

    

    

    
    
    

     

    

    
        <h3 class="subsection-title">Methods</h3>

        
            

    

    <h4 class="name" id=".randomOrthonormal"><span class="type-signature type-signature-static">(static) </span>randomOrthonormal<span class="signature">(rows, cols)</span><span class="type-signature"> &rarr; {Matrix}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a random orthonormal matrix.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>rows</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The dimension of the random vectors.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>cols</code></td>
            

            <td class="type">
            
                
<span class="param-type">uint</span>



            
            </td>

            

            

            <td class="description last"><p>The number of vectors, default is equal to <code>rows</code>.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A random orthonormal matrix.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Matrix</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".orthonormalizes"><span class="type-signature type-signature-static">(static) </span>orthonormalizes<span class="signature">(mat, squaring<span class="signature-attributes">opt</span>)</span><span class="type-signature"> &rarr; {Matrix}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns a random orthonormal matrix.</p>
<ul>
<li>If <code>cols</code> &lt; <code>rows</code> The rectangular matrix is made of <code>cols</code> unary orthogonal vectors of dimension <code>rows</code>.</li>
<li>If <code>rows</code> &lt; <code>cols</code> The rectangular matrix is made of <code>rows</code> unary orthogonal vectors of dimension <code>cols</code>.</li>
<li>A standard Gram-Schmidt process is used, preserving the 1st vectors coordinates if already orthonormal.</li>
</ul></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>mat</code></td>
            

            <td class="type">
            
                
<span class="param-type">Matrix</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The input matrix.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>squaring</code></td>
            

            <td class="type">
            
                
<span class="param-type">bool</span>



            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>false</code>
                
                </td>
            

            <td class="description last"><p>If true the matrix is concatenated in square matrix adding ones on the main diagonal and zeros elsewhere.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>An orthonormal matrix.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Matrix</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".rank"><span class="type-signature type-signature-static">(static) </span>rank<span class="signature">(mat)</span><span class="type-signature"> &rarr; {unint}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the rank of the matrix.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>mat</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            

            

            <td class="description last"><p>The input matrix.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>The matrix rank.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">unint</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".mat2txt"><span class="type-signature type-signature-static">(static) </span>mat2txt<span class="signature">(mat, oneline<span class="signature-attributes">opt</span>, nodata<span class="signature-attributes">opt</span>)</span><span class="type-signature"> &rarr; {String}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Returns the image data in textual form using wJSON syntax.</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        
        <th>Attributes</th>
        

        
        <th>Default</th>
        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>mat</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            
                <td class="attributes">
                

                

                
                </td>
            

            
                <td class="default">
                
                </td>
            

            <td class="description last"><p>The input matrix.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>oneline</code></td>
            

            <td class="type">
            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>false</code>
                
                </td>
            

            <td class="description last"><p>If true returns a one line string.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>nodata</code></td>
            

            <td class="type">
            
            </td>

            
                <td class="attributes">
                
                    &lt;optional><br>
                

                

                
                </td>
            

            
                <td class="default">
                
                    <code>false</code>
                
                </td>
            

            <td class="description last"><p>If true returns a one line string without the matrix elements but its size only.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>A string with a 2D print of the image pixel values.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">String</span>



    </dd>
</dl>

    



        
            

    

    <h4 class="name" id=".putText"><span class="type-signature type-signature-static">(static) </span>putText<span class="signature">(img, text, point)</span><span class="type-signature"> &rarr; {Scalar}</span></h4>

    




<dl class="details">
    
    <dt class="tag-description">Description:</dt>
    <dd class="tag-description"><ul class="dummy"><li><p>Write a multiline string in an image</p></li></ul></dd>
    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    

    
</dl>













    <h5 class="h5-parameters">Parameters:</h5>
    

<table class="params">
    <thead>
    <tr>
        
        <th>Name</th>
        

        <th>Type</th>

        

        

        <th class="last">Description</th>
    </tr>
    </thead>

    <tbody>
    

        <tr>
            
                <td class="name"><code>img</code></td>
            

            <td class="type">
            
                
<span class="param-type">Mat</span>



            
            </td>

            

            

            <td class="description last"><p>The input matrix.</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>text</code></td>
            

            <td class="type">
            
                
<span class="param-type">String</span>



            
            </td>

            

            

            <td class="description last"><p>The multiline text</p></td>
        </tr>

    

        <tr>
            
                <td class="name"><code>point</code></td>
            

            <td class="type">
            
                
<span class="param-type">Point</span>



            
            </td>

            

            

            <td class="description last"><p>Bottom-left corner of the text string in the image.</p></td>
        </tr>

    
    </tbody>
</table>
















<h5 class="h5-returns">Returns:</h5>

        
<div class="param-desc">
    <p>color The text color.</p>
</div>



<dl class="param-type">
    <dt>
        Type
    </dt>
    <dd>
        
<span class="param-type">Scalar</span>



    </dd>
</dl>

    



        
    

    

    
</article>

</section>




    
    
</div>

<br class="clear">

<footer>
    <div style='float: right;font-style: italic;'>2025-01-22 version.</div>
</footer>

<script>prettyPrint();</script>
<script src="scripts/polyfill.js"></script>
<script src="scripts/linenumber.js"></script>

<script src="scripts/search.js" defer></script>


<script src="scripts/collapse.js" defer></script>


</body>
</html>